- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
User Management
- /
- Import User OTP
¶ Import user's OTP
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Import user's OTP
¶ Method name
ManagementClient.import_otp
¶ Request parameters
| Name | Type | Is it required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| list | ImportOtpItemDto[] | Yes | - | Parameter list |
¶ Request Response
Type: CommonResponseDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}
¶ Data Structure
¶ ImportOtpItemDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| userId | string | Yes | User ID | xxxx |
| otp | Yes | OTP data Nested type: ImportOtpItemDataDto. |
¶ ImportOtpItemDataDto
| Name | Type | Required | Description | Sample value |
|---|---|---|---|---|
| secret | string | yes | OTP key | HZ2F6J3AGNAVSOTV |
| recoveryCode | string | no | OTP Recovery Code | b471-8ec0-874a-087f-bccb-cd54 |
